# Nextcloud Cospend 💰

Nextcloud Cospend je správce skupinových/sdílených rozpočtů. Inspirováno skvělým [IHateMoney](https://github.com/spiral-project/ihatemoney/).

Je možné ho použít když sdílíte dům, když jedete na dovolenou s přáteli, kdykoli sdílíte peníze s ostatními.

Umožňuje vytvářet projekty se členy a účty. Každý člen má zůstek vypočítaný z projektových účtů. Tak je možné vidět kdo dluží skupině a naopak komu dluží skupina. V konečném důsledku můžete požádat o plán vypořádání, který vám oznámí, které platby mají být provedeny za účelem vynulování zůstatků členů.

Členové projektu jsou nezávislí na uživatelích z Nextcloud. K projektům mohou přistupovat a upravovat je i lidé bez účtu v Nextcloud. Každý projekt má identifikátor a heslo pro přístup hostů.

Android klient [MoneyBuster](https://gitlab.com/eneiluj/moneybuster) je [k dispozici v repozitáři F-Droid](https://f-droid.org/packages/net.eneiluj.moneybuster/) a v katalogu [Google Play](https://play.google.com/store/apps/details?id=net.eneiluj.moneybuster).

Ve vývoji je také iOS klient [PayForMe](https://github.com/mayflower/PayForMe)!

## Funkce

* ✎ vytváření/upravování/mazání projektů, členů, účtů a jejich kategorií, měn
* ⚖ kontrola zůstatků členů
* 🗠 zobrazování statistik projektů
* ♻ zobrazování plánu vypořádání
* 🎇 automatické vytváření účtů náhrad z plánu vypořádání
* 🗓 vytváření pravidelných účtů (denní/týdenní/měsíční)
* 📊 volitelné zadávání uživatelsky určené částky pro každého z členů u nových účtů
* 🔗 propojování účtů s osobními soubory (například obrázek fyzické účtenky)
* 👩 přístup hostům pro lidi mimo Nextcloud
* 👫 sdílení projektů s Nextcloud uživateli/skupinami/okruhy
* 🖫 importujte/exportujte projekty jako csv (kompatibilní s csv soubory z IHateMoney)
* 🔗 vytváření odkazů / QR kódů určených pro snadný import projektů v MoneyBuster
* 🗲 implementace upozorňování do Nextcloud a proudu aktivit

Tato aplikace je testována na Nextcloud 20+ a prohlížečích Firefox 57+ a Chromium.

Na této aplikaci stále ještě probíhá intenzivní vývoj.

🌍 Pomozte nám s překládáním textů v rozhraní této aplikace v rámci [projektu Nextcloud-Cospend/MoneyBuster na službě Crowdin](https://crowdin.com/project/moneybuster).

⚒ Podívejte se na další způsoby, jak pomoci ve [pokynech pro přispěvatele](https://gitlab.com/eneiluj/cospend-nc/blob/master/CONTRIBUTING.md).

## Dokumentace

* [Uživatelská dokumentace](https://github.com/eneiluj/cospend-nc/blob/master/docs/user.md)
* [Dokumentace pro správce](https://github.com/eneiluj/cospend-nc/blob/master/docs/admin.md)
* [Dokumentace pro vývojáře](https://github.com/eneiluj/cospend-nc/blob/master/docs/dev.md)
* [SEZNAM ZMĚN](https://github.com/eneiluj/cospend-nc/blob/master/CHANGELOG.md#change-log)
* [AUTOŘI](https://github.com/eneiluj/cospend-nc/blob/master/AUTHORS.md#authors)

## Známé problémy

* neudělá z vás boháče

Jakákoliv zpětná vazba bude vítána.

