# Nextcloud Cospend 💰

A Nextcloud Cospend egy csoportos/megosztott költségkezelő. A nagy [IHateMoney](https://github.com/spiral-project/ihatemoney/) inspirálta.

Használhatod, ha közös házban laksz mással, ha barátokkal vakációzol, bármikor, amikor másokkal osztasz meg pénzt.

Létre tudsz hozni benne projekteket tagokkal és számlákkal. Minden tagnak van egy egyenlege, melyet a projekt számláiból számítunk ki. Így láthatod, ki tartozik a csoportnak és a csoport kinek tartozik. Végül kérhetsz elszámolási tervet, mely megmondja, milyen kifizetésekre van szükség, hogy a tagok tartozásai rendezve legyenek.

A projekttagok függetlenek a Nextcloud felhasználóitól. A projekteket Nextcloud fiókkal nem rendelkező emberek is elérhetik és módosíthatják. Minden projektnek van egy azonosítója és egy jelszava a vendégeléréshez.

A [MoneyBuster](https://gitlab.com/eneiluj/moneybuster) Android kliens elérhető [F-Droid-on](https://f-droid.org/packages/net.eneiluj.moneybuster/) és a [Play store-ban](https://play.google.com/store/apps/details?id=net.eneiluj.moneybuster).

A [PayForMe](https://github.com/mayflower/PayForMe) iOS klienst épp most fejlesztjük!

## Funkciók

* ✎ projektek létrehozása/szerkesztése/törlése, tagok, számlák, számlakategóriák, pénznemek
* ⚖ tagok egyenlegeinek ellenőrzése
* 🗠 projektstatisztika megjelenítése
* ♻ elszámolási terv megjelenítése
* 🎇 elszámolási tervből visszafizetési számlák automatikus készítése
* 🗓 ismétlődő számlák készítése (napi/heti/havi/éves)
* 📊 minden tagnak egyéni összeg megadható az új számlákon
* 🔗 számlák saját fájlokhoz kapcsolása (pl. a fizikai számla fotója)
* 👩 vendégelérés a Nextcloudon kívüli emberek számára
* 👫 projektek megosztása Nextcloud felhasználókkal/csoportokkal/körökkel
* 🖫 Projektek importálása/exportálása csv-ként (kompatibilis az IHateMoney csv fájljaival)
* 🔗 hivatkozás/QR-kód előállítása projektek MoneyBusterbe történő könnyű importálásához
* 🗲 Nextcloud értesítések és aktivitásfolyam megvalósítása

Ezt az alkalmazást Nextcloud 20+-on teszteljük Firefox 57+ és Chromium böngészőkkel.

Ez az alkalmazás fejlesztés alatt áll.

🌍 Segíts nekünk a fordításban a [Nextcloud-Cospend/MoneyBuster Crowdin projektben](https://crowdin.com/project/moneybuster).

⚒ Nézd meg, még miben segíthetsz a [hozzájárulási irányelveinkben](https://github.com/eneiluj/cospend-nc/blob/master/CONTRIBUTING.md).

## Dokumentáció

* [Felhasználói dokumentáció](https://github.com/eneiluj/cospend-nc/blob/master/docs/user.md)
* [Rendszergazdai dokumentáció](https://github.com/eneiluj/cospend-nc/blob/master/docs/admin.md)
* [Fejlesztői dokumentáció](https://github.com/eneiluj/cospend-nc/blob/master/docs/dev.md)
* [VÁLTOZÁSOK](https://github.com/eneiluj/cospend-nc/blob/master/CHANGELOG.md#change-log)
* [SZERZŐK](https://github.com/eneiluj/cospend-nc/blob/master/AUTHORS.md#authors)

## Ismert problémák

* nem leszel tőle gazdag

Bármilyen visszajelzést nagyra értékelünk.

