# Nextcloud Cospend 💰

NextcloudのCospendはグループ予算管理ツールです。 [IHateMoney](https://github.com/spiral-project/ihatemoney/)というツールから影響を受け、開発されました。

友人との旅行の際や、家賃の支払いなど他人との割り勘などを管理する際に使用できます。

メンバーと請求書でプロジェクトを作成できます。 各メンバーは、プロジェクトの請求書から計算された残高を持っています。 この方法では、グループに借りている人とグループに貸している人を見ることができます。 最終的には、メンバー残高をリセットするために支払いを行う決算プランを求めることができます。

プロジェクトメンバーは NextCloud ユーザーから独立しています。 プロジェクトは、Nextcloudアカウントを持たない人がアクセスし、変更することができます。 各プロジェクトにはゲストアクセス用の ID とパスワードがあります。

[MoneyBuster](https://gitlab.com/eneiluj/moneybuster) Android クライアントは [F-Droid](https://f-droid.org/packages/net.eneiluj.moneybuster/) と [Play ストア](https://play.google.com/store/apps/details?id=net.eneiluj.moneybuster) で利用可能です。

[PayForMe](https://github.com/mayflower/PayForMe) iOS クライアントは現在開発中です！

## 機能紹介

* ✎ プロジェクトの作成/編集/削除、メンバー、請求書、請求のカテゴリー、通貨
* ⚖️ メンバーの残高を確認する
* 🗠 プロジェクトの集計を表示
* ♻️ 決算プランの表示
* 🎇 決算プランから自動的に払い戻し請求書を作成する
* 🗓️ 定期請求書を作成（毎日/毎週/毎月/毎年）
* 📊 必要に応じて新しい請求書の各メンバーに任意の負担額を指定できます
* 🔗 個人ファイルと請求書をリンクします(例えば、実際の請求書の写真)
* 👩 Nextcloud以外の人のためのゲストアクセス
* 👫 Nextcloudユーザー/グループ/サークルとプロジェクトを共有する
* 🖫 csv としてプロジェクトをインポート/エクスポート (IHateMoney の csv ファイルと互換)
* 🔗 MoneyBuster で簡単にプロジェクトをインポートするためにリンク/QRコードを生成する
* 🗲 Nextcloud通知とアクティビティストリームを実装

このアプリは、Firefox 57+ と Chromium で NextCloud 20+ でテストされています。

このアプリは開発中です。

🌍 [Nextcloud-Cospend/MoneyBuster Crowdin プロジェクト](https://crowdin.com/project/moneybuster) でこのアプリを翻訳する手助けをしてください。

⚒️ [コントリビューションガイドライン](https://github.com/eneiluj/cospend-nc/blob/master/CONTRIBUTING.md) で他の方法をチェックしてください。

## ドキュメント

* [利用者向けドキュメント](https://github.com/eneiluj/cospend-nc/blob/master/docs/user.md)
* [管理ドキュメント](https://github.com/eneiluj/cospend-nc/blob/master/docs/admin.md)
* [開発者ドキュメント](https://github.com/eneiluj/cospend-nc/blob/master/docs/dev.md)
* [変更](https://github.com/eneiluj/cospend-nc/blob/master/CHANGELOG.md#change-log)
* [作者](https://github.com/eneiluj/cospend-nc/blob/master/AUTHORS.md#authors)

## 既知の問題

* お金持ちになれるわけではありません

ご意見をいただければ幸いです。

